Skip to main content
GET
/
robots
/
{robotId}
/
attributeDefinitions
/
{attributeId}
Returns an attribute definition from a specific robot
curl --request GET \
  --url https://api.inorbit.ai/robots/{robotId}/attributeDefinitions/{attributeId} \
  --header 'x-auth-inorbit-app-key: <api-key>'
{
  "id": "<string>",
  "label": "<string>",
  "mapping": {
    "source": "<string>",
    "key": "<string>",
    "topic": "<string>",
    "namespace": "<string>"
  }
}

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

attributeId
string
required

The attribute id

Response

The attribute definition

id
string
required

Attribute id

label
string
required

User-defined label

mapping
object

Defines the mapping from a robot data source